import type { Metadata } from "next";
import '@fontsource-variable/kode-mono';
import "./globals.css";
import {ThemeProvider} from "@/components/providers/theme-provider";
import type React from "react";
import {Footer} from "@/components/footer";
import {Header} from "@/components/header";

export const metadata: Metadata = {
  title: "YeloBit",
  description: "Generated by create next app",
  icons: "yellow-bit.svg"};

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="en">
    <head>
      <link rel="icon" href="/public/favicon.ico" sizes="any"/>
    </head>
    <body className={"w-full min-h-screen flex flex-col items-center justify-between"}>
    <ThemeProvider
        attribute="class"
        defaultTheme="system"
        enableSystem
      >
        <Header></Header>
        {children}
        <Footer/>
      </ThemeProvider>
      </body>
    </html>
  );
}
